org.red5.server.scheduling

## Class ApplicationSchedulingService

- java.lang.Object
- - org.red5.server.scheduling.QuartzSchedulingService
  - - org.red5.server.scheduling.ApplicationSchedulingService

All Implemented Interfaces:
  ISchedulingService, IScopeService, QuartzSchedulingServiceMXBean, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.InitializingBean

    @ManagedResource(objectName="org.red5.server:type=ApplicationSchedulingService,name=default")
    public class ApplicationSchedulingService
    extends QuartzSchedulingService

This class can be used to initialize Quartz for a Red5 application.

Author:
  Paul Gregoire (mondain@gmail.com)

### Field Summary

Fields
`static String` `QUARTZ_FACTORY_KEY`

### Fields inherited from class org.red5.server.scheduling.QuartzSchedulingService

`factory, instanceId, jobDetailCounter, scheduler`

### Fields inherited from interface org.red5.server.api.scheduling.ISchedulingService

`BEAN_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ApplicationSchedulingService()`

### Method Summary

Methods
`void` `afterPropertiesSet()` Constructs a new QuartzSchedulingService.
`String` `getApplicationName()`
`String` `getConfigFile()`
`protected void` `registerJMX()`
`void` `setApplicationName(String applicationName)`
`void` `setConfigFile(String configFile)`
`void` `setServletAttribute(javax.servlet.ServletContext servletContext)` Sets the scheduler factory in the servlet context.
`protected void` `unregisterJMX()`

### Methods inherited from class org.red5.server.scheduling.QuartzSchedulingService

`addScheduledJob, addScheduledJobAfterDelay, addScheduledOnceJob, addScheduledOnceJob, destroy, getJobName, getScheduledJobNames, pauseScheduledJob, pauseScheduledTrigger, removeScheduledJob, resumeScheduledJob, resumeScheduledTrigger, setFactory, setInstanceId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QUARTZ_FACTORY_KEY

    public static final String QUARTZ_FACTORY_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### ApplicationSchedulingService

    public ApplicationSchedulingService()

### Method Detail

#### getApplicationName

    public String getApplicationName()

#### setApplicationName

    public void setApplicationName(String applicationName)

#### getConfigFile

    public String getConfigFile()

#### setConfigFile

    public void setConfigFile(String configFile)

#### setServletAttribute

    public void setServletAttribute(javax.servlet.ServletContext servletContext)

Sets the scheduler factory in the servlet context.

Parameters:
  `servletContext` -

#### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

Description copied from class: `QuartzSchedulingService`
Constructs a new QuartzSchedulingService.

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Overrides:
  `afterPropertiesSet` in class `QuartzSchedulingService`
Throws:
  `Exception`

#### registerJMX

    protected void registerJMX()

#### unregisterJMX

    protected void unregisterJMX()